Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://forge.coreweave.com/api/distillation/v1/projects/{alias}/datasets/{datasetId}/uploads/{uploadId} \ --header 'Authorization: Bearer <token>'
import requests url = "https://forge.coreweave.com/api/distillation/v1/projects/{alias}/datasets/{datasetId}/uploads/{uploadId}" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://forge.coreweave.com/api/distillation/v1/projects/{alias}/datasets/{datasetId}/uploads/{uploadId}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://forge.coreweave.com/api/distillation/v1/projects/{alias}/datasets/{datasetId}/uploads/{uploadId}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://forge.coreweave.com/api/distillation/v1/projects/{alias}/datasets/{datasetId}/uploads/{uploadId}" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://forge.coreweave.com/api/distillation/v1/projects/{alias}/datasets/{datasetId}/uploads/{uploadId}") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://forge.coreweave.com/api/distillation/v1/projects/{alias}/datasets/{datasetId}/uploads/{uploadId}") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "mode": "append", "state": "uploading", "error": "<string>", "counters": {}, "expires_at": "2023-11-07T05:31:56Z", "file": { "name": "<string>", "size_bytes": 123 }, "upload": { "method": "PUT", "url": "<string>", "expires_at": "2023-11-07T05:31:56Z" }, "validation": { "validated_bytes": 123, "validated_lines": 123, "error_count": 123, "errors_truncated": true, "errors": [ { "line": 123, "code": "<string>", "message": "<string>" } ] }, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }
{ "error": { "message": "Project 'missing' not found in entity 'your-team'", "type": "not_found" } }
wandb APIキーまたは wandb JWT。ブラウザーセッションの交換は、Model Distillation ウェブアプリのバックエンドで行われます。ジョブのケイパビリティは内部専用です。
アクセス可能な個人またはチームの entity。GET /projects と GET /projects/summaries でアクセス可能なすべての entity を一覧表示するには、省略します。他のエンドポイントでは、認証済みユーザーのデフォルトの entity を使用します。
GET /projects
GET /projects/summaries
^[a-z0-9-]{1,64}$
アップロード情報、ファイルが未送信の場合は新しいアップロード URL、および最大 100 件のエラーです。
append
upsert
complete が呼び出されるまでは uploading、ワーカーが各行をチェックしている間は queued および validating、行がデータセットに格納されると committed になります。
uploading
queued
validating
committed
failed
cancelled
expired
コミット後:rows、created、updated、revision、entry_counts。
Show child attributes
アップロードを受け付けている間のファイルの送信先です。complete が呼び出されると null になります。
このページは役に立ちましたか?